<script>
	import Input from "@/components/Form/Input.svelte"
	import Checkbox from "@/components/Form/Checkbox.svelte"
	import NoResults from "@/components/NoResults.svelte"
	
	import { isLight } from "@/stores/static"
	import { onMount } from "svelte"
  import { afterNavigate } from "$app/navigation"
	import { page } from "$app/stores"
	
	import { t } from "@/i18n"
	
	export let value = {}
	
	let keyword = ""

	$: slug = $page.params.slug
	$: brands = $page.data.brands
		.sort((a,b) => a.name > b.name ? 1 : -1)
		.filter(({ name }) => keyword ? name.toLowerCase().indexOf(keyword.toLowerCase()) > -1 : true)

	const checkValues = () => {
		let exist = !!brands.find(({ url }) => url === slug)
		if (exist) {
			value[slug] = true
			return
		}

		const selected = new URLSearchParams($page.url.searchParams.toString()).get("brands")?.split(",") || []

		value = {}
		for (let brand of selected) { value[brand] = true }
	}

	onMount(checkValues)
	afterNavigate(checkValues)
</script>

<template lang="pug">
.field: .control
	Input( bind:value='{keyword}' placeholder!='{$t("form.search")}' )
+if('brands?.length')
	.list
		+each('brands as brand')
			.list-item: Checkbox( bind:value='{value[brand.url]}' style!='{$isLight ? "dark" : "light"}' ) {brand.name}
	+else
		.no-results-wrap: NoResults( size="small" )
</template>

<style lang="scss">
.no-results-wrap {
	margin-top: 1.5rem
}
</style>